> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loadforge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Run

> Cancel a run

Cancel an ongoing run by specifying the run\_id. This endpoint allows you to stop a test run that is in progress if you need to terminate it before its scheduled completion.


## OpenAPI

````yaml POST /run/cancel/{run_id}
openapi: 3.1.0
info:
  title: LoadForge API
  description: >-
    The LoadForge API provides programmatic access to create, manage, and run
    load tests on your web applications
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://app.loadforge.com/api/v2
security:
  - bearerAuth: []
paths:
  /run/cancel/{run_id}:
    post:
      description: Cancel a run
      parameters:
        - name: run_id
          in: path
          description: ID of run to cancel
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Run cancellation response
          content:
            application/json:
              schema:
                type: object
                properties:
                  run_id:
                    type: integer
                    description: ID of the cancelled run
                  status:
                    type: string
                    description: Status of the cancellation operation
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````